<?php
//+++
$SYS_FOC="Nom";
//+++
$Nom=VU($_POST['Nom']);
$Now=VU($_POST['Now']);
$Ori="";
$Dir=VU($_POST['Dir']);
$Tel=VU($_POST['Tel']);
$Fax=VU($_POST['Fax']);
$Ema=VU($_POST['Ema']);
$ExpAge=VU($_POST['ExpAge']);
$Age=VU($_POST['Age']);
$Ban=VU($_POST['Ban']);
$BanDir=VU($_POST['BanDir']);
$Swi=VU($_POST['Swi']);
$Ser=VU($_POST['Ser']);
$Ani="";
$Num=VU($_POST['Num']);
//
$LIMPIAR=0;
//--------------------------------------------------------------------------
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("ges_proveedores","id_prv=$Id");
	$Nom=$r['prv_nom'];
	$Ori=$r['prv_ori'];
	$Dir=$r['prv_dir'];
	$Tel=$r['prv_tel'];
	$Fax=$r['prv_fax'];
	$Age=$r['prv_age'];
	$Ban=$r['prv_ban'];
	$BanDir=$r['prv_ban_dir'];
	$Swi=$r['prv_swi'];
	$Ser=$r['prv_serie'];
	$Ani=$r['prv_ani'];
	$ExpAge=$r['prv_exp_age'];
	$Num=$r['prv_nro'];
	$Now=$r['pro_now'];
	$Ema=$r['pro_ema'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
	$Num_=vbval($Num);
}
//
if($StrCmd=="G"){	
	if(strlen($Nom)>0){
		if(gn("count(*)","ges_proveedores","prv_nom='$Nom'")>0){
			$SYS_MSG="Nombre corto ya registrado";
			$OK=0;
		}
	}
	if($OK==1){
		if(strlen($Now)>0){
			if(gn("count(*)","ges_proveedores","pro_now='$Now'")>0){
				$SYS_MSG="Nombre completo ya registrado";
				$OK=0;
			}
		}
	}
	if($OK==1){
		$Id=GenId("id_prv","ges_proveedores");
		$s="INSERT INTO ges_proveedores 
			VALUES ($Id,'$Nom','$Ori','$Dir','$Tel',
			'$Fax','$Age','$Ban','$BanDir','$Swi','$Ser',
			'$Ani','$ExpAge',$Num_,'$Now','$Ema')";
		ejt($s);		
		//BIT
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_proveedores.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","PROVEEDORES","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT					
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="M"){
	if(strlen($Nom)>0){
		if(gn("count(*)","ges_proveedores","prv_nom='$Nom' AND id_prv<>$StrId")>0){
			$SYS_MSG="Nombre corto ya registrado";
			$OK=0;
		}
	}
	if($OK==1){
		if(strlen($Now)>0){
			if(gn("count(*)","ges_proveedores","pro_now='$Now' AND id_prv<>$StrId")>0){
				$SYS_MSG="Nombre completo ya registrado";
				$OK=0;
			}
		}
	}
	if($OK==1){
		$s="UPDATE ges_proveedores 
			SET
			prv_nom='$Nom',
			prv_ori='$Ori',
			prv_dir='$Dir',
			prv_tel='$Tel',
			prv_fax='$Fax',
			prv_age='$Age',
			prv_ban='$Ban',
			prv_ban_dir='$BanDir',
			prv_swi='$Swi',
			prv_serie='$Ser',
			prv_ani='$Ani',
			prv_exp_age='$ExpAge',
			prv_nro=$Num_,pro_now='$Now',
			pro_ema='$Ema' WHERE id_prv=$StrId";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_proveedores.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","PROVEEDORES","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT				
		$SYS_MSG="Datos actualizados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="E"){	
	if(gn("count(*)","ges_invoice","in_id_prv=$StrId")>0){
		$SYS_MSG="El proveedor esta relacionado a uno o mas invoice";
		$OK=0;
	}			
	if($OK==1){	
		$s="DELETE FROM ges_proveedores WHERE id_prv=$StrId";
		ejt($s);
		//BIT++++++++++++
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_proveedores.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","PROVEEDORES","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		$SYS_MSG="Datos eliminados";
		$LIMPIAR=1;	
	}
}
//
if($LIMPIAR==1){
	$StrId="";
	$Nom="";
	$Ori="";
	$Dir="";
	$Tel="";
	$Fax="";
	$Age="";
	$Ban="";
	$BanDir="";
	$Swi="";
	$Ser="";
	$Ani="";
	$ExpAge="";
	$Num="";
	$Now="";
	$Ema="";
}
?>
